Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## javax.persistence.metamodel
Enum PluralAttribute.CollectionType

    java.lang.Object
      java.lang.Enum<PluralAttribute.CollectionType>
          javax.persistence.metamodel.PluralAttribute.CollectionType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PluralAttribute.CollectionType>

Enclosing interface:
  PluralAttribute<X,C,E>

    public static enum PluralAttribute.CollectionType

extends java.lang.Enum<PluralAttribute.CollectionType>

Enum Constant Summary
`COLLECTION` Collection-valued attribute
`LIST` List-valued attribute
`MAP` Map-valued attribute
`SET` Set-valued attribute

Method Summary
`static PluralAttribute.CollectionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PluralAttribute.CollectionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### COLLECTION

    public static final PluralAttribute.CollectionType COLLECTION

  Collection-valued attribute

### SET

    public static final PluralAttribute.CollectionType SET

  Set-valued attribute

### LIST

    public static final PluralAttribute.CollectionType LIST

  List-valued attribute

### MAP

    public static final PluralAttribute.CollectionType MAP

  Map-valued attribute

Method Detail

### values

    public static PluralAttribute.CollectionType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PluralAttribute.CollectionType c : PluralAttribute.CollectionType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PluralAttribute.CollectionType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD